version: '3'
networks:
  default:
    external:
      name: tutorial_default
services:
  # oracle:
  #   image: oracle/database:12.2.0.1
  #   build:
  #     context: ~/Dev/db/oracle/docker-images/OracleDatabase/SingleInstance/dockerfiles/12.2.0.1
  #     args:
  #       DB_EDITION: EE
  #   ports:
  #     - 1521:1521
  #     - 5500:5500
  #   environment:
  #     - ORACLE_SID=ORCLCDB
  #     - ORACLE_PDB=orclpdb1
  #     - ORACLE_PWD=pWh6qYivEFY=1
  #   volumes:
  #      - "/media/ian/D280FF6680FF5009/oracle12c/oradata:/opt/oracle/oradata"
  #   healthcheck:
  #     test: ["CMD", "curl", "-f", "oracle:1521"]
  #     interval: 30s
  #     timeout: 10s
  #     retries: 2
  zookeeper:
    image: debezium/zookeeper:${DEBEZIUM_VERSION}
    ports:
     - 2181:2181
     - 2888:2888
     - 3888:3888
  kafka:
    image: debezium/kafka:${DEBEZIUM_VERSION}
    ports:
     - 9092:9092
    links:
     - zookeeper
    environment:
     - ZOOKEEPER_CONNECT=zookeeper:2181
  connect:
    image: debezium/connect-with-oracle-jdbc:${DEBEZIUM_VERSION}
    build:
      context: debezium-with-oracle-jdbc
      args:
        DEBEZIUM_VERSION: ${DEBEZIUM_VERSION}
    ports:
     - 8083:8083
     - 5005:5005
     - 9083:9083
    links:
     - kafka
    environment:
     - BOOTSTRAP_SERVERS=kafka:9092
     - GROUP_ID=1
     - CONFIG_STORAGE_TOPIC=my_connect_configs
     - OFFSET_STORAGE_TOPIC=my_connect_offsets
     - STATUS_STORAGE_TOPIC=my_connect_statuses
     - LD_LIBRARY_PATH=/instant_client
     - KAFKA_DEBUG=true
     - DEBUG_SUSPEND_FLAG=n
     - JAVA_DEBUG_PORT=0.0.0.0:5005
